<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>HTML Forms, Tables, and Semantics</title>
</head>
<body>
	<!-- div creates container element used to group HTML elements -->
	<header>
		<h1>HTML Tables and Forms</h1>
	</header>


		<p><em>Reserved characters in HTML (e.g. &lt; or &gt; can be mixed up with HTML code).</em></p>


		<main>
			<section>
				<h2>HTML Entities</h2>
				<!-- form - creates an HTML form to capture user input -->
						<form action ="https://www.google.com.ph/">
							<label for="full_name">Full Name:</label><br>
							<input type="text" name="full_name" id="full_name" required autocomplete><br>

							<label for="birth_date">Birthda Date:</label><br>
							<input type="date" name="birth_date" id="birth_date" required><br>

							<label for="age">Age</label><br>
							<input type="number" name="age" id=age min="0" max="120"><br>
							

							<label for="gender">Gender</label><br>
							<select name="ender" id="gender">
								<option value="Female">Female</option>
								<option value="Male">Male</option>
							</select><br>

							<label>Notes:</label><br>
							<!-- Creates larget text input -->
							<textarea name="notes" rows="5" id="notes"></textarea><br>

							<label>New User:</label><br>
							<input type="radio" name="new_user" id="user-type1" value="yes">
							<label for="user-type1">Yes</label><br>

							
							<input type="radio" name="new_user" id="user-type2" value="No">
							<label for="user-type2">No</label><br>

							<label>Role:</label><br>
							<label for ="role1">Developer</label>
							<input type="checkbox" name="role1" id=role1 value="developer"><br>

							<label for ="role1">Student</label>
							<input type="checkbox" name="role2" id=role2 value="student"><br>			

							<label for ="role3">Manager</label>			
							<input type="checkbox" name="role1" id=role3 value="manager"><br>

							<button type="submit">Submit</button>
							<!-- creates a button to reset the form data -->
							<button type="reset">Reset</button>
						</form>
			</section>

				<section>
					<h2>HTML Forms</h2>
							<h2>HTML Forms</h2>

							<p>Input elements that make up a form.</p>

					<!-- form - creates an HTML form to capture user input -->
							<form action ="https://www.google.com.ph/">
								<label for="full_name">Full Name:</label><br>
								<input type="text" name="full_name" id="full_name" required autocomplete><br>

								<label for="birth_date">Birthda Date:</label><br>
								<input type="date" name="birth_date" id="birth_date" required><br>

								<label for="age">Age</label><br>
								<input type="number" name="age" id=age min="0" max="120"><br>
								

								<label for="gender">Gender</label><br>
								<select name="ender" id="gender">
									<option value="Female">Female</option>
									<option value="Male">Male</option>
								</select><br>

								<label>Notes:</label><br>
								<!-- Creates larget text input -->
								<textarea name="notes" rows="5" id="notes"></textarea><br>

								<label>New User:</label><br>
								<input type="radio" name="new_user" id="user-type1" value="yes">
								<label for="user-type1">Yes</label><br>

								
								<input type="radio" name="new_user" id="user-type2" value="No">
								<label for="user-type2">No</label><br>

								<label>Role:</label><br>
								<label for ="role1">Developer</label>
								<input type="checkbox" name="role1" id=role1 value="developer"><br>

								<label for ="role1">Student</label>
								<input type="checkbox" name="role2" id=role2 value="student"><br>			

								<label for ="role3">Manager</label>			
								<input type="checkbox" name="role1" id=role3 value="manager"><br>

								<button type="submit">Submit</button>
								<!-- creates a button to reset the form data -->
								<button type="reset">Reset</button>
							</form>
				</section>

		</main>

		<!-- Defines an HTML Table -->
		<table border="1">
			<thead>
				
				<tr>
					<th colspan="2"> Entity </th>
					<th> Description</th>
				</tr>
			</thead>
			<tbody>
					<tr>
						<td>&lt;</td>
						<td>lt</td>
						<td>less than</td>
					</tr>

					<tr>
						<td>&gt;</td>
						<td>gt</td>	
						<td>greater than</td>
					</tr>

					<tr>
						<td>&#8369;</td>
						<td>#8369</td>	
						<td>peso sign</td>
					</tr>

					<tr>
						<td>&amp;</td>
						<td>amp</td>	
						<td>ampersand sign</td>
					</tr>

					<tr>
						<td>&quot;</td>
						<td>quot</td>	
						<td>double quotation mark</td>
					</tr>

					<tr>
						<td>&apos;</td>
						<td>apos</td>	
						<td>single quotation mark (apostrophe)/td>
					<tr>
						<td>&ntilde;</td>
						<td>ntilde</td>	
						<td>Lower Tilde</td>
					</tr>

					<tr>
						<td>&Ntilde;</td>
						<td>Ntilde</td>	
						<td>Upper Tilde</td>
					</tr>

					</tr>					
			</tbody>

			<tfoot>
				<tr>
					<th colspan="3">List of HTML Entities</th>
				</tr>
			</tfoot>
		</table>

		<h2>HTML Forms</h2>

		<p>Input elements that make up a form.</p>

<!-- form - creates an HTML form to capture user input -->
		<form action ="https://www.google.com.ph/">
			<label for="full_name">Full Name:</label><br>
			<input type="text" name="full_name" id="full_name" required autocomplete><br>

			<label for="birth_date">Birthda Date:</label><br>
			<input type="date" name="birth_date" id="birth_date" required><br>

			<label for="age">Age</label><br>
			<input type="number" name="age" id=age min="0" max="120"><br>
			

			<label for="gender">Gender</label><br>
			<select name="ender" id="gender">
				<option value="Female">Female</option>
				<option value="Male">Male</option>
			</select><br>

			<label>Notes:</label><br>
			<!-- Creates larget text input -->
			<textarea name="notes" rows="5" id="notes"></textarea><br>

			<label>New User:</label><br>
			<input type="radio" name="new_user" id="user-type1" value="yes">
			<label for="user-type1">Yes</label><br>

			
			<input type="radio" name="new_user" id="user-type2" value="No">
			<label for="user-type2">No</label><br>

			<label>Role:</label><br>
			<label for ="role1">Developer</label>
			<input type="checkbox" name="role1" id=role1 value="developer"><br>

			<label for ="role1">Student</label>
			<input type="checkbox" name="role2" id=role2 value="student"><br>			

			<label for ="role3">Manager</label>			
			<input type="checkbox" name="role1" id=role3 value="manager"><br>

			<button type="submit">Submit</button>
			<!-- creates a button to reset the form data -->
			<button type="reset">Reset</button>
		</form>
</body>
</html>